Subject: [pkix] [Errata Verified] RFC5912 (6806)

From: RFC Errata System <[email-masked]>
Date: Mon, 3 Jan 2022 18:27:38 -0800 (PST)

The following errata report has been verified for RFC5912,
"New ASN.1 Modules for the Public Key Infrastructure Using X.509 (PKIX)". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6806

--------------------------------------
Status: Verified
Type: Technical

Reported by: Carl Wallace <[email-masked]>
Date Reported: 2022-01-03
Verified by: Benjamin Kaduk (IESG)

Section: 6

Original Text
-------------
   pk-rsa PUBLIC-KEY ::= {
    IDENTIFIER rsaEncryption
    KEY RSAPublicKey
    PARAMS TYPE NULL ARE absent
    -- Private key format not in this module --
    CERT-KEY-USAGE {digitalSignature, nonRepudiation,
    keyEncipherment, dataEncipherment, keyCertSign, cRLSign}
   }

Corrected Text
--------------
   pk-rsa PUBLIC-KEY ::= {
    IDENTIFIER rsaEncryption
    KEY RSAPublicKey
    PARAMS TYPE NULL ARE required
    -- Private key format not in this module --
    CERT-KEY-USAGE {digitalSignature, nonRepudiation,
    keyEncipherment, dataEncipherment, keyCertSign, cRLSign}
   }

Notes
-----
Section 2.3.1 of RFC 3279 states "(t)he parameters field MUST have ASN.1 type NULL for this algorithm identifier."

--------------------------------------
RFC5912 (draft-ietf-pkix-new-asn1-08)
--------------------------------------
Title               : New ASN.1 Modules for the Public Key Infrastructure Using X.509 (PKIX)
Publication Date    : June 2010
Author(s)           : P. Hoffman, J. Schaad
Category            : INFORMATIONAL
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG